FORMAT: 1A

# Group Vectorapi
Group of all vectorapi-related resources.

## Period

Period resource is responsible for retrieving the Accounting Periods list for Label.

## Index [/vectorapi/period/index{?period_id,access_token}]

### Index [GET]

+ Parameters

    + period_id (optional, number, `160`)
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "192.168.0.55",
      "httpStatusCode": 200
    },
    "request": "period/index?params=vectorapi&period&index&json&160&<some_token>",
    "response": {
      "periods": [
        {
          "period": "Q1 2014",
          "currency": "USD",
          "year": 2014,
          "month": [
            1,
            2,
            3
          ],
          "quarter": 1,
          "min": 181,
          "max": 183
        },
        {
          "period": "Q4 2013",
          "currency": "USD",
          "year": 2013,
          "month": [
            10,
            11,
            12
          ],
          "quarter": 4,
          "min": 178,
          "max": 180
        },
        {
          "period": "Q3 2013",
          "currency": "USD",
          "year": 2013,
          "month": [
            7,
            8,
            9
          ],
          "quarter": 3,
          "min": 175,
          "max": 177
        },
        {
          "period": "Q2 2013",
          "currency": "USD",
          "year": 2013,
          "month": [
            4,
            5,
            6
          ],
          "quarter": 2,
          "min": 172,
          "max": 174
        },
        {
          "period": "Q1 2013",
          "currency": "USD",
          "year": 2013,
          "month": [
            1,
            2,
            3
          ],
          "quarter": 1,
          "min": 169,
          "max": 171
        },
        {
          "period": "Q4 2012",
          "currency": "USD",
          "year": 2012,
          "month": [
            10,
            11,
            12
          ],
          "quarter": 4,
          "min": 166,
          "max": 168
        },
        {
          "period": "Q3 2012",
          "currency": "USD",
          "year": 2012,
          "month": [
            7,
            8,
            9
          ],
          "quarter": 3,
          "min": 163,
          "max": 165
        },
        {
          "period": "Q2 2012",
          "currency": "USD",
          "year": 2012,
          "month": [
            4,
            5,
            6
          ],
          "quarter": 2,
          "min": 160,
          "max": 162
        }
      ],
      "total_records": 8
    }
  }
}

+ **Optional Parameters**

    + period_id
    + Optional Parameters: limit, offset
    + Sort Options: sort_by, sort_order, mandatory.
    + Serach Options: search_by, search_value
